> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Remove Values

DELETE https://api.npretail.app/{tenant}/{environment}/{company}/membership/{membershipId}/attributes
Content-Type: application/json

This endpoint removes the specified attributes for a specific membership entity.

Reference: https://docs.navipartner.com/apis/api-reference/memberships/service-membership/service-membership-attributes/delete-membership-attribute-values

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)
- `membershipId` (UUID, required) — The unique identifier for the membership.

### Body (application/json)

This endpoint expects a RemoveMembershipAttributeValueRequest.

- `attributeIds` (list of UUID, required)

## Response

### 200

- `membershipId` (UUID, required) — The unique identifier for the membership.
- `attributes` (list of AttributeValueListResponse, required)

## Types

### AttributeValueListResponse

This response contains a list of attribute values associated with a specific membership entity.

- `id` (UUID, required)
- `code` (string, required) — The key code for the attribute. This is a unique identifier for the attribute.
- `type` (enum, required) — The datatype of the attribute.
  - Allowed values: `text`, `code`, `date`, `datetime`, `decimal`, `integer`, `boolean`, `unknown`
- `caption` (string, required) — The caption of the attribute.
- `value` (string, required) — The value of the attribute. This is the actual data associated with the attribute.

## Examples

**Request**

```json
{
  "attributeIds": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}
```

**Response**

```json
{
  "membershipId": "ffffddee-e89b-12d3-a456-42661417400f",
  "attributes": []
}
```

**SDK Code**

```python Set Membership Attribute Example
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/ffffddee-e89b-12d3-a456-42661417400f/attributes"

payload = { "attributeIds": ["123e4567-e89b-12d3-a456-426614174000"] }
headers = {
    "x-np-api-key": "<NaviPartner API Key>",
    "Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.json())
```

```javascript Set Membership Attribute Example
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/ffffddee-e89b-12d3-a456-42661417400f/attributes';
const options = {
  method: 'DELETE',
  headers: {'x-np-api-key': '<NaviPartner API Key>', 'Content-Type': 'application/json'},
  body: '{"attributeIds":["123e4567-e89b-12d3-a456-426614174000"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Set Membership Attribute Example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/ffffddee-e89b-12d3-a456-42661417400f/attributes"

	payload := strings.NewReader("{\n  \"attributeIds\": [\n    \"123e4567-e89b-12d3-a456-426614174000\"\n  ]\n}")

	req, _ := http.NewRequest("DELETE", url, payload)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Set Membership Attribute Example
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/ffffddee-e89b-12d3-a456-42661417400f/attributes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"attributeIds\": [\n    \"123e4567-e89b-12d3-a456-426614174000\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Set Membership Attribute Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/ffffddee-e89b-12d3-a456-42661417400f/attributes")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .header("Content-Type", "application/json")
  .body("{\n  \"attributeIds\": [\n    \"123e4567-e89b-12d3-a456-426614174000\"\n  ]\n}")
  .asString();
```

```php Set Membership Attribute Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/ffffddee-e89b-12d3-a456-42661417400f/attributes', [
  'body' => '{
  "attributeIds": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp Set Membership Attribute Example
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/ffffddee-e89b-12d3-a456-42661417400f/attributes");
var request = new RestRequest(Method.DELETE);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"attributeIds\": [\n    \"123e4567-e89b-12d3-a456-426614174000\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Set Membership Attribute Example
import Foundation

let headers = [
  "x-np-api-key": "<NaviPartner API Key>",
  "Content-Type": "application/json"
]
let parameters = ["attributeIds": ["123e4567-e89b-12d3-a456-426614174000"]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/ffffddee-e89b-12d3-a456-42661417400f/attributes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```